## apt-listchanges 2.18

=== Makefile ===
all:
	docbook-to-man apt-listchanges.sgml > apt-listchanges.1
	make -C po

install: all
	install -d $(DESTDIR)/usr/bin
	install -m 755 apt-listchanges $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/lib/site-python
	install -m 644 DebianControlParser.py apt_listchanges.py \
		$(DESTDIR)/usr/lib/site-python
	install -d $(DESTDIR)/etc/apt/apt.conf.d
	install -m 644 debian/apt.conf \
		$(DESTDIR)/etc/apt/apt.conf.d/20listchanges
	install -d $(DESTDIR)/usr/share/man/man1
	install -m 644 apt-listchanges.1 $(DESTDIR)/usr/share/man/man1
	install -d $(DESTDIR)/usr/lib/apt-listchanges
	install -m 755 browser-pipe $(DESTDIR)/usr/lib/apt-listchanges
	$(MAKE) -C po install

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995-1997, 2000, 2001 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = apt-listchanges
prefix = /usr
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po
srcdir = .

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = ../mkinstalldirs

CC = gcc
GENCAT = gencat
MSGFMT = /usr/bin/msgfmt --statistics
XGETTEXT = /usr/share/doc/python2.2/examples/Tools/i18n/pygettext.py
MSGMERGE = msgmerge

POFILES =  $(wildcard *.po)
MOFILES =  $(patsubst %.po,%.mo,$(POFILES))

POTFILES = ../apt-listchanges ../apt_listchanges.py ../DebianControlParser.py

all: $(PACKAGE).pot $(MOFILES)

.SUFFIXES: .po .mo

.po.mo:
	$(MSGFMT) -o $@ $<

# Note: Target 'all' must not depend on target '$(srcdir)/$(PACKAGE).pot',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

$(PACKAGE).pot: $(POTFILES)
	if test -f $(XGETTEXT); then \
		$(XGETTEXT) --default-domain=$(PACKAGE) \
			--keyword=_ $(POTFILES); \
	else \
		touch $@; \
	fi

install: all
	for file in $(MOFILES); do \
                lang=`echo $$file | sed 's/\.mo//'`; \
                install -d $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/; \
                install -m 0644 $$file $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
        done

mostlyclean:
	rm -f core core.* *.pox $(PACKAGE).po *.new.po
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f *.mo $(PACKAGE).pot

update-po: Makefile
	$(MAKE) $(PACKAGE).pot
	if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; fi; \
        cd $(srcdir); \
        catalogs='$(MOFILES)'; \
        for cat in $$catalogs; do \
          cat=`basename $$cat`; \
          lang=`echo $$cat | sed 's/\.mo$$//'`; \
          echo "$$lang:"; \
          if $(MSGMERGE) $$lang.po $(PACKAGE).pot -o $$lang.new.po; then \
            mv -f $$lang.new.po $$lang.po; \
          else \
            echo "msgmerge for $$cat failed!"; \
            rm -f $$lang.new.po; \
          fi; \
        done

=== debian/changelog ===
apt-listchanges (2.18) unstable; urgency=medium

  * Use x-terminal-emulator instead of plain xterm (Closes: #142684)
  * Updated French translation of debconf templates from Denis Barbier
    <barbier@debian.org> (Closes: #142589)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Apr 2002 15:34:41 -0400

apt-listchanges (2.17) unstable; urgency=low

  * Oops, forgot to include the updated debconf templates for the w3m ->
    browser change. (Closes: #142260)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 10 Apr 2002 19:25:10 -0400

apt-listchanges (2.16) unstable; urgency=low

  * Make the bug regex more useful.  It should now match a superset of the
    closes: syntax, while also trying to pick out plain-language bug
    references. (Closes: #141461)
  * Based on feedback about the w3m frontend, it seems a lot of folks
    prefer lynx.  Added a quick and dirty script which allows the user to
    specify a browser via the environment, or searches the path for some
    common browsers (Closes: #141457)
  * Use #!/usr/bin/python instead of #!/usr/bin/env python
    (Closes: #141701)
  * Suggest xterm, www-browser and debianutils

 -- Matt Zimmerman <mdz@debian.org>  Tue,  9 Apr 2002 00:08:44 -0400

apt-listchanges (2.15) unstable; urgency=low

  * The "I never forget a wishlist bug" release.
  * Add w3m frontend which creates HTML output with hyperlinks for bugs
    and email addresses, and a corresponding xterm-w3m frontend which does
    the same thing in an xterm in the background.  (Closes: #82360)
  * Only works with w3m for now, because that is the only browser that I
    am aware of which accepts input from a pipe.  Perhaps eventually, I
    will find a way to securely create temporary files for this purpose in
    Python, and any browser can be supported

 -- Matt Zimmerman <mdz@debian.org>  Wed,  3 Apr 2002 23:35:05 -0500

apt-listchanges (2.14) unstable; urgency=low

  * Fix the confirm prompt so that it defaults to yes
    again (oops)
    (Closes: #139413)
  * Force apt-listchanges/confirm to false for 'none' ond 'mail' frontends
    (Closes: #139393)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 21 Mar 2002 22:03:21 -0500

apt-listchanges (2.13) unstable; urgency=low

  * Minor cosmetic changes to the progress indicators to make them more
    uniform and closer to apt's (Closes: #137736)
  * Be more conservative about the user's answer to the confirmation
    question (Closes: #137804)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 20 Mar 2002 23:07:07 -0500

apt-listchanges (2.12) unstable; urgency=low

  * Updated Spanish translation from David Martinez Moreno
    <ender@debian.org>
  * Skip the question about confirmation if the 'mail' or 'none' frontend
    is chosen (Closes: #137241)

 -- Matt Zimmerman <mdz@debian.org>  Thu,  7 Mar 2002 22:04:35 -0500

apt-listchanges (2.11) unstable; urgency=low

  * Skip packages which are being removed (Closes: #135166)
  * Print newline to stderr instead of stdout in the text frontend
    (Closes: #136381)

 -- Matt Zimmerman <mdz@debian.org>  Fri,  1 Mar 2002 20:27:44 -0500

apt-listchanges (2.10) unstable; urgency=low

  * Fix a reversed urgency test which caused incorrect sorting when
    multiple versions with different urgencies were included in the same
    changelog display (Closes: #134345)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 17 Feb 2002 00:16:27 -0500

apt-listchanges (2.9) unstable; urgency=low

  * Don't show a harmless error message when the config file does not
    exist (Closes: #134218)
  * Remove .pyc files in prerm (part of #133306)
  * Don't save the seen database until the user confirms the changes and
    mail has been sent (Closes: #108718)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 16 Feb 2002 13:37:50 -0500

apt-listchanges (2.8) unstable; urgency=low

  * Fix a bug which broke xterm-pager which was introduced when
    reorganizing the frontends (Closes: #133068)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Feb 2002 13:36:27 -0500

apt-listchanges (2.7) unstable; urgency=low

  * Updated Finnish translations of debconf templates and message catalogs
    from Jaakko Kangasharju <ashar@iki.fi>
  * Added German translations of message catalogs, and updated
    translations of debconf templates, from Leonard Michlmayr
    <Leonard.Michlmayr@ap.univie.ac.at>
  * Fix APT::quiet handling (Closes: #132501)
  * Fix --all (Closes: #132393)
  * Fix the mail frontend (Closes: #132428)
  * Remove duplicate FILES section from the man page (Closes: #132490)
  * Updated French translations of debconf templates from Denis Barbier
    <barbier@debian.org> (Closes: #132384)

 -- Matt Zimmerman <mdz@debian.org>  Wed,  6 Feb 2002 20:34:58 -0500

apt-listchanges (2.6) unstable; urgency=low

  * Fix code which, in trying to filter out errors from tar while
    extracting the deb, mangled the changelog for the tar package
    (Closes: #132046)
  * Updated Spanish and Catalan translations of debconf templates and
    message catalogs from Jordi Mallach <jordi@debian.org>

 -- Matt Zimmerman <mdz@debian.org>  Sun,  3 Feb 2002 14:45:10 -0500

apt-listchanges (2.5) unstable; urgency=low

  * Start using python-apt (only version comparisons so far).  This gives
    a significant performance improvement, around 10%
  * Send mail after displaying changelogs, rather than before
  * Fix some funny business with the progress indicator
  * More translation updates, though things still aren't up to date
  * Reference /usr/sbin/sendmail instead of /usr/lib/sendmail
    (Closes: #132028)

 -- Matt Zimmerman <mdz@debian.org>  Sun,  3 Feb 2002 03:40:55 -0500

apt-listchanges (2.4) unstable; urgency=low

  * Add back the 'mail' frontend, so that 'none' can continue to mean
    "don't even look for changelogs". (Closes: #129991, #129794)
  * Add an error message for an unknown frontend (Closes: #129993)
  * Fix --help, usage() was lost when moving code to the module
    (Closes: #129992)


=== debian/control ===
Source: apt-listchanges
Section: utils
Priority: optional
Maintainer: Matt Zimmerman <mdz@debian.org>
Standards-Version: 3.2.1
Build-Depends-Indep: debhelper, docbook-to-man, gettext, python (>= 2.1)

Package: apt-listchanges
Architecture: all
Depends: python (>= 2.1), apt (>= 0.5.3), python-apt, debconf
Suggests: x-terminal-emulator, www-browser, debianutils
Description: Display new Debian changelog entries from .deb archives
 apt-listchanges is a tool to show what has been changed in a new
 version of a Debian package, as compared to the version currently
 installed on the system.  It does this by extracting the relevant
 entries from the Debian changelog file, usually found in
 /usr/share/doc/package/changelog.Debian.gz
 .
 It can be run on several .deb archives at a time to get a list of all
 of the changes that would be effected by installing or upgrading a
 group of packages.  It can be configured to do this automatically
 during upgrades using apt.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2
package=apt-listchanges
version=$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p')
tmp=`pwd`/debian/$(package)

configure: configure-stamp
configure-stamp:
	dh_testdir
# Add here commands to configure the package.

	perl -pi.orig -e 's/##VERSION##/$(version)/g' apt_listchanges.py

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	rm -f *.py[co] *~

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) install DESTDIR=$(tmp)

# Build architecture-dependent files here.
binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs TODO
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## apt-listchanges 2.55

=== debian/changelog ===
apt-listchanges (2.55) unstable; urgency=low

  * Corrected Danish translation of debconf templates from Claus Hindsgaul
    <claus_h@image.dk>
  * Updated German translation of debconf templates from Florian Ernst <florian@uni-hd.de>
    (Closes: #244132)
  * Depends: debianutils (>= 2.0.2) because that is when sensible-browser
    was added, and sensible-browser is used by the browser frontend
    (Closes: #246508)
  * Run debconf-updatepo

 -- Matt Zimmerman <mdz@debian.org>  Thu, 29 Apr 2004 20:33:33 -0700

apt-listchanges (2.54) unstable; urgency=low

  * Spanish man page update from Ruben Porras <nahoo82@telefonica.net>
    (Closes: #239909)
  * Danish translation of message catalog from Claus Hindsgaul <claus_h@image.dk>
  * Move Danish translation of debconf templates into the correct place
    (Closes: #239201)
  

 -- Matt Zimmerman <mdz@debian.org>  Mon,  5 Apr 2004 08:41:19 -0700

apt-listchanges (2.53) unstable; urgency=low

  * Don't bother twiddling the 'seen' flag (Closes: #240915)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 29 Mar 2004 16:32:35 -0800

apt-listchanges (2.52) unstable; urgency=low

  * Danish translation of debconf templates from Claus Hindsgaul <claus_h@image.dk>
    (Closes: #239201)
  * Update description to reflect news capabilities (Closes: #240786)
  * When upgrading from 2.51 or earlier, seed the apt-listchanges/which
    debconf question to "both", rather than the new default of "news", so
    that users upgrading from older versions get the old default, while
    new users get the new default

 -- Matt Zimmerman <mdz@debian.org>  Mon, 29 Mar 2004 10:00:23 -0800

apt-listchanges (2.51) unstable; urgency=low

  * Restore lost built-in default for frontend; this broke command-line
    invocation  (Closes: #237879)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Mar 2004 16:05:59 -0800

apt-listchanges (2.50) unstable; urgency=low

  * Update debhelper compatibility level to 4 and remove debian/conffiles
  * Use debian/compat rather than DH_COMPAT
  * Standards-Version: 3.6.1 (no changes needed)
  * Add new debconf question to ask whether to display news, changelogs or
    both.  Ask it at low priority, and default to news (Closes: #222362)
  * Adjust priorities and defaults of debconf questions to be less
    intrusive, and oriented towards a wider range of users:
    - Reduce priority of apt-listchanges/save-seen to low (almost
      everybody seems to want the default)
    - Reduce priority of apt-listchanges/email-address to low
      (still mails root by default; scream if you think this should remain
      medium)
    - Reduce priority of apt-listchanges/confirm to low, and change the
      default to false (no confirmation prompt)
    - End result: an installation at priority medium or higher will
      ask only one question (apt-listchanges/frontend), and display only
      NEWS.Debian items to the user on upgrades, with no confirmation
      prompt.  Feedback welcome.
  * Minor clarifications to some templates based on display of news as
    well as changelogs.  Mostly s/changelogs/changes/
  * With these changes, I think apt-listchanges would be suitable for
    priority: standard

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Mar 2004 15:38:29 -0800

apt-listchanges (2.49) unstable; urgency=low

  * Remove ugly ucf/debconf workaround, use ucf --debconf-ok and depend on
    ucf >= 0.28 (Closes: #237181)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 10 Mar 2004 08:16:41 -0800

apt-listchanges (2.48) unstable; urgency=low

  * Updated pt_BR debconf translations from Andre Luis Lopes <andrelop@debian.org>
    (Closes: #235383)
  * Display news and changes in separate frontend invocations, and in
    separate email messages (Closes: #204175)

 -- Matt Zimmerman <mdz@debian.org>  Mon,  8 Mar 2004 20:45:00 -0800

apt-listchanges (2.47) unstable; urgency=low

  * Fix the progress meter not to blow up if nothing was displayed

 -- Matt Zimmerman <mdz@debian.org>  Fri, 27 Feb 2004 13:36:44 -0800

apt-listchanges (2.46) unstable; urgency=low

  * Implement a --profile= command line option to select between different
    profiles in /etc/apt/listchanges.conf (Closes: #203395)
  * Get rid of the --version command line option; I always forgot to
    update it and am too lazy to make it automatic
  * Updated Finnish translation of debconf templates from Tommi
    Vainikainen <thv+debian@iki.fi> (Closes: #226851)
  * Simplified Chinese translation of debconf templates and message
    catalog from "Carlos Z.F. Liu" <carlos_liu@yahoo.com>
    (Closes: #230814)
  * Make the frontends more customizable by passing in data from the
    config file.  You can specify a pager for the pager frontend, a
    terminal emulator for the xterm frontend, a web browser for the
    browser frontend (Closes: #206811), or an email address to mail
    changelogs to (Closes: #203395)
  * Print a brief message letting the user know what's going on when
    aborting based on the confirmation prompt (Closes: #202210)
  * Handle the KeyboardInterrupt exception (Closes: #139265)
  * Don't send empty email if there are no changes and --which=news is
    specified
  * Spanish man page update from Ruben Porras <nahoo82@telefonica.net>
    (Closes: #231582)
  * Run debconf-updatepo

 -- Matt Zimmerman <mdz@debian.org>  Thu, 26 Feb 2004 23:01:49 -0800

apt-listchanges (2.45) unstable; urgency=low

  * Oops, only exit if we actually forked a child

 -- Matt Zimmerman <mdz@debian.org>  Thu,  8 Jan 2004 12:25:33 -0800

apt-listchanges (2.44) unstable; urgency=low

  * Don't forget to have the child exit after it's finished, when running
    a command in the background (Closes: #226631)

 -- Matt Zimmerman <mdz@debian.org>  Wed,  7 Jan 2004 16:34:42 -0800

apt-listchanges (2.43) unstable; urgency=low

  * Clean up a bunch of pending stuff so that some new development can begin
  * Fix the documentation to reflect the removal of support for


## apt-listchanges 2.58

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 all:
 	docbook-to-man apt-listchanges.sgml > apt-listchanges.1
+	docbook-to-man apt-listchanges.es.sgml > apt-listchanges.es.1
 	make -C po
 
 install: all
@@ -11,8 +12,11 @@
 	install -d $(DESTDIR)/etc/apt/apt.conf.d
 	install -m 644 debian/apt.conf \
 		$(DESTDIR)/etc/apt/apt.conf.d/20listchanges
-	install -d $(DESTDIR)/usr/share/man/man1
+	install -d $(DESTDIR)/usr/share/man/man1 $(DESTDIR)/usr/share/man/es/man1
 	install -m 644 apt-listchanges.1 $(DESTDIR)/usr/share/man/man1
-	install -d $(DESTDIR)/usr/lib/apt-listchanges
-	install -m 755 browser-pipe $(DESTDIR)/usr/lib/apt-listchanges
+	install -m 644 apt-listchanges.es.1 $(DESTDIR)/usr/share/man/es/man1/apt-listchanges.1
 	$(MAKE) -C po install
+
+clean:
+	rm -f apt-listchanges.1
+	make -C po clean

=== debian/changelog ===
apt-listchanges (2.58) unstable; urgency=low

  * Correctly treat the quiet value from apt as an integer (Closes: #284982)
  * Updated fr.po from Loic Le Loarer (Closes: #285440, #260534)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 10 Jan 2005 18:03:37 -0800

apt-listchanges (2.57) unstable; urgency=low

  * Fix typo in French translation of continuation prompt (Closes: #259465)
  * Honor the meaning of APT's quiet variable when its value is >1
    (suppress all ouptut)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Nov 2004 17:32:11 -0800

apt-listchanges (2.56) unstable; urgency=low

  * Another Danish debconf translation update from Claus Hindsgaul <claus_h@image.dk>
    (Closes: #246863)
  * Updated Japanese translation of debconf templates from Kenshi Muto <kmuto@debian.org>
    (Closes: #244684)
  * Updated French translation of debconf templates from Denis Barbier <barbier@debian.org>
    (Closes: #248523)
  * Updated German translation of debconf templates from Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
    (Closes: #252051)
  * Updated French translation of message catalog from Christian Perrier <bubulle@debian.org>
    (Closes: #254819)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 27 Jun 2004 18:10:01 -0700

## apt-listchanges 2.59-0.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 all:
 	docbook-to-man apt-listchanges.sgml > apt-listchanges.1
 	docbook-to-man apt-listchanges.es.sgml > apt-listchanges.es.1
+	docbook-to-man apt-listchanges.fr.sgml > apt-listchanges.fr.1
 	make -C po
 
 install: all
@@ -12,9 +13,10 @@
 	install -d $(DESTDIR)/etc/apt/apt.conf.d
 	install -m 644 debian/apt.conf \
 		$(DESTDIR)/etc/apt/apt.conf.d/20listchanges
-	install -d $(DESTDIR)/usr/share/man/man1 $(DESTDIR)/usr/share/man/es/man1
+	install -d $(DESTDIR)/usr/share/man/man1 $(DESTDIR)/usr/share/man/es/man1 $(DESTDIR)/usr/share/man/fr/man1
 	install -m 644 apt-listchanges.1 $(DESTDIR)/usr/share/man/man1
 	install -m 644 apt-listchanges.es.1 $(DESTDIR)/usr/share/man/es/man1/apt-listchanges.1
+	install -m 644 apt-listchanges.fr.1 $(DESTDIR)/usr/share/man/fr/man1/apt-listchanges.1
 	$(MAKE) -C po install
 
 clean:

=== debian/changelog ===
apt-listchanges (2.59-0.2) unstable; urgency=medium

  * Non-maintainer upload for fixing l10n issues. Made
    with maintainer's agreement
  * Debconf translations:
    - Italian really added
    - Catalan updated. Closes: #292739
    - Galician updated. Closes: #294948
    - Polish updated.
    - Spanish updated.
  * Program translations:
    - Corrections to Spanish. Closes: #280323
    - One fuzzy strong corrected in Catalan
    - Remove Brazilian which was indeed a debconf translation
    - Moved Russian to debconf translation. It was in the programs translation
      directory by mistake

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Feb 2005 21:36:18 +0100

apt-listchanges (2.59-0.1) unstable; urgency=low

  * Non-maintainer upload for fixing l10n issues. Made
    with maintainer's agreement
  * Program translations:
    - The French mess is now sorted out. Closes: #285440, #260534
    - Fix the headers of the Finnish and Brazilian translations
    - German corrected. Closes: #293594
  * Debconf translations:
    - Brazilian Portuguese fixed. Closes: #262603
    - Czech updated. Closes: #259171
    - Dutch updated. Closes: #260295
    - Danish updated. Closes: #251084
    - Simplified Chinese updated
    - Traditional Chinese added
    - Italian added
    - German corrected. Closes: #293594
  * Documentation translations:
    - French added. Closes: #283357
  * Fix wrong UTF-8 encoding in the 1.25 changelog entry

 -- Christian Perrier <bubulle@debian.org>  Sat, 29 Jan 2005 09:46:43 +0100

apt-listchanges (2.59) unstable; urgency=low

  * Updated French translation from Christian Perrier (Closes: #260534)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 20 Jan 2005 10:09:09 -0800

=== debian/control ===
Source: apt-listchanges
Section: utils
Priority: optional
Maintainer: Matt Zimmerman <mdz@debian.org>
Standards-Version: 3.2.1
Build-Depends-Indep: debhelper (>= 4.1.16), docbook-to-man, gettext, python (>= 2.1), po-debconf

Package: apt-listchanges
Architecture: all
Depends: python (>= 2.3), apt (>= 0.5.3), python-apt, debconf, ucf (>= 0.28), debianutils (>= 2.0.2)
Suggests: x-terminal-emulator, www-browser
Description: Display change history from .deb archives
 apt-listchanges is a tool to show what has been changed in a new
 version of a Debian package, as compared to the version currently
 installed on the system.  It does this by extracting the relevant
 entries from the Debian changelog file, and the NEWS.Debian file.
 .
 It can be run on several .deb archives at a time to get a list of all
 of the changes that would be effected by installing or upgrading a
 group of packages.  It can be configured to do this automatically
 during upgrades using apt.

## apt-listchanges 2.59-0.2ubuntu6

=== debian/changelog ===
apt-listchanges (2.59-0.2ubuntu6) breezy; urgency=low

  * fixed missing _() symbol in gtk frontend (ubuntu #15748)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Sep 2005 10:38:39 +0200

apt-listchanges (2.59-0.2ubuntu5) breezy; urgency=low

  * seperate the gtk frontend from the other frontends (ubuntu #12226)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Sep 2005 14:04:06 +0200

apt-listchanges (2.59-0.2ubuntu4) breezy; urgency=low

  * work-around a bug that makes python segfault by changing the order
    of the imports in apt_listchanges.py

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 29 Aug 2005 10:42:44 +0200

apt-listchanges (2.59-0.2ubuntu3) breezy; urgency=low

  * handle the situation gracefully when no X is available 
    in the new gtk/glade frontend

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Jun 2005 23:27:38 +0200

apt-listchanges (2.59-0.2ubuntu2) breezy; urgency=low

  * fix a FTBFS (added expat to build-depends) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 14 Jun 2005 17:52:16 +0200

apt-listchanges (2.59-0.2ubuntu1) breezy; urgency=low

  * added a gtk2/glade frontend, can be selected with 
    dpkg-reconfigure apt-listchanges or by setting
    "APT_LISTCHANGES_FRONTEND=gtk"
  * reworked po/Makefile to generate a apt-listchanges.pot
    from the glade file too
  * added "python-gtk2, python-glade2" to the list of recommends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  6 May 2005 18:37:26 +0200

## apt-listchanges 2.59-0.2ubuntu7

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,13 @@
 install: all
 	install -d $(DESTDIR)/usr/bin
 	install -m 755 apt-listchanges $(DESTDIR)/usr/bin
+	install -d $(DESTDIR)/usr/share/apt-listchanges
+	install -m 644 apt-listchanges.glade \
+	           $(DESTDIR)/usr/share/apt-listchanges
 	install -d $(DESTDIR)/usr/lib/site-python
 	install -m 644 DebianControlParser.py apt_listchanges.py \
-		$(DESTDIR)/usr/lib/site-python
+		AptListChangesGtk.py \
+		$(DESTDIR)/usr/lib/site-python/
 	install -d $(DESTDIR)/etc/apt/apt.conf.d
 	install -m 644 debian/apt.conf \
 		$(DESTDIR)/etc/apt/apt.conf.d/20listchanges

=== debian/changelog ===
apt-listchanges (2.59-0.2ubuntu7) dapper; urgency=low

  * only run "sendmail" if it is available (ubuntu: #30438)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  4 Apr 2006 11:10:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Matt Zimmerman <mdz@debian.org>
 Standards-Version: 3.2.1
-Build-Depends-Indep: debhelper (>= 4.1.16), docbook-to-man, gettext, python (>= 2.1), po-debconf
+Build-Depends-Indep: debhelper (>= 4.1.16), docbook-to-man, gettext, python (>= 2.1), po-debconf, expat
 
 Package: apt-listchanges
 Architecture: all
 Depends: python (>= 2.3), apt (>= 0.5.3), python-apt, debconf, ucf (>= 0.28), debianutils (>= 2.0.2)
+Recommends: python-glade2, python-gtk2
 Suggests: x-terminal-emulator, www-browser
 Description: Display change history from .deb archives
  apt-listchanges is a tool to show what has been changed in a new

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# This is the debhelper compatability version to use.
-export DH_COMPAT=2
 package=apt-listchanges
 version=$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p')
 tmp=`pwd`/debian/$(package)
@@ -32,6 +30,7 @@
 	rm -f build-stamp configure-stamp
 
 	rm -f *.py[co] *~
+	$(MAKE) clean
 
 	dh_clean

## apt-listchanges 2.59-0.3ubuntu3

=== po/Makefile ===
--- 
+++ 
@@ -22,14 +22,15 @@
 CC = gcc
 GENCAT = gencat
 MSGFMT = /usr/bin/msgfmt --statistics
-XGETTEXT = /usr/share/doc/python2.2/examples/Tools/i18n/pygettext.py
+#XGETTEXT = /usr/share/doc/python2.4/examples/Tools/i18n/pygettext.py
+XGETTEXT = /usr/bin/xgettext
 MSGMERGE = msgmerge
 
 POFILES =  $(wildcard *.po)
 MOFILES =  $(patsubst %.po,%.mo,$(POFILES))
 
-POTFILES = ../apt-listchanges ../apt_listchanges.py ../DebianControlParser.py
-
+PY_POTFILES = ../apt-listchanges ../apt_listchanges.py ../DebianControlParser.py ../AptListChangesGtk.py
+POTFILES =  ../apt-listchanges.glade
 all: $(PACKAGE).pot $(MOFILES)
 
 .SUFFIXES: .po .mo
@@ -41,10 +42,12 @@
 # otherwise packages like GCC can not be built if only parts of the source
 # have been downloaded.
 
-$(PACKAGE).pot: $(POTFILES)
+$(PACKAGE).pot: $(POTFILES) $(PY_POTFILES)
 	if test -f $(XGETTEXT); then \
+		$(XGETTEXT) -L Python --default-domain=$(PACKAGE) \
+			$(PY_POTFILES) -o $(PACKAGE).pot; \
 		$(XGETTEXT) --default-domain=$(PACKAGE) \
-			--keyword=_ $(POTFILES); \
+			$(POTFILES) --join-existing -o $(PACKAGE).pot; \
 	else \
 		touch $@; \
 	fi

=== debian/changelog ===
apt-listchanges (2.59-0.3ubuntu3) edgy; urgency=low

  * fix FTBFS: build-depend on libexpat, gettext uses dlopen() to 
    read glade files 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  1 Aug 2006 12:59:49 +0200

apt-listchanges (2.59-0.3ubuntu2) edgy; urgency=low

  * work around problem in pygtk that segfaults if no DISPLAY is found
    and so breaks textmode usage

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  1 Aug 2006 11:31:23 +0200

apt-listchanges (2.59-0.3ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  4 Jul 2006 10:22:41 +0200

apt-listchanges (2.59-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * add --wildcards to tar call (Closes: #375300, 375953, 375956).
  * Fix B-D-I/B-D wrt clean: target.
  * Fix old FSF address.

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  2 Jul 2006 16:51:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Matt Zimmerman <mdz@debian.org>
 Standards-Version: 3.2.1
-Build-Depends-Indep: debhelper (>= 4.1.16), docbook-to-man, gettext, python (>= 2.1), po-debconf, expat
+Build-Depends: debhelper (>= 4.1.16)
+Build-Depends-Indep: docbook-to-man, gettext, python (>= 2.1), po-debconf, libexpat1-dev
 
 Package: apt-listchanges
 Architecture: all

## apt-listchanges 2.72ubuntu6

=== debian/changelog ===
apt-listchanges (2.72ubuntu6) feisty; urgency=low

  * remove leftover pyc files in /usr/lib/site-python (LP#92330)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Mar 2007 13:57:53 +0100

apt-listchanges (2.72ubuntu5) feisty; urgency=low

  * if crash in error reporting (LP#92191)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Mar 2007 13:30:58 +0100

apt-listchanges (2.72ubuntu4) feisty; urgency=low

  * only use 'mail' if sendmail is installed (LP#85031)
  * update maintainer field to ubuntu and added XSBC-Original-Maintainer

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Mar 2007 16:25:07 +0100

apt-listchanges (2.72ubuntu3) feisty; urgency=low

  * merged patch from Jan Van Buggenhout to make dialog wording
    more clear (LP#77668)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Feb 2007 09:58:30 +0100

apt-listchanges (2.72ubuntu2) feisty; urgency=low

  * fix gtk fallback (thanks to Michael Hofmann for the patch)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 26 Jan 2007 13:01:50 +0100

apt-listchanges (2.72ubuntu1) feisty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - gtk frontend

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Dec 2006 10:53:42 +0100

apt-listchanges (2.72) unstable; urgency=high

  * Fix missing import in DebianFiles.py, thanks to Julián Hernández Gómez.
    (Closes: 400744).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 28 Nov 2006 15:41:16 +0100

apt-listchanges (2.71) unstable; urgency=low

  [ Fixes ]

  * Hack function _(x) so that it works even with LANGUAGE set and LC_CTYPE
    set to C (Closes: #397108). It can lead to curious half translated
    messages, but say that to python locale handling that is completely
    braindead.

  * Update program's fr.po thanks to Christian Perrier (Closes: 393621).
  * Update portuguese debconf template translations thanks to Rui Branco
    (Closes: 396643).

  [ Packaging ]

  * Simplify debian/config from old cruft from 1.x series.
  * Update debian/copyright.

  [ Library ]

  * DebianControl* classes are renamed into Control*.
  * Move Packages, Changes classes (and Control* ones) into DebianFiles.py.
  * Move Config to ALCConfig.py.
  * Add copyright statements in .py's.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 28 Nov 2006 00:21:20 +0100

apt-listchanges (2.70ubuntu1) feisty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - gtk frontend

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Nov 2006 10:29:22 +0100

apt-listchanges (2.70) unstable; urgency=low

  [ Damien Laniel ]
  * Fixed the postrm script to remove /etc/apt/listchanges.conf on purge
    and rewrote the test for ucf existence (was using "which" which isn't
    essential)
  * Fixed the postinst script not to use ucf if /etc/apt/listchanges.conf
    doesn't exist, ie was purged

  [ Pierre Habouzit ]
  * Use Damien's patch that also should fix the `code 10 ` postinst problem.
    (Closes: 391628, 390997)

 -- Pierre Habouzit <madcoder@debian.org>  Sat,  7 Oct 2006 22:00:54 +0200

apt-listchanges (2.69) unstable; urgency=low

  * Final upload targetting etch, the l10n upload:
    + fr.po thanks to Christian Perrier (Closes: 390979),
    + es.po thanks to Javier Fernández-Sanguino Peña (Closes: 391114).

 -- Pierre Habouzit <madcoder@debian.org>  Sat,  7 Oct 2006 17:39:53 +0200

apt-listchanges (2.68) unstable; urgency=low

  * Fix the mail instantiation, thanks to Daniel Lublin (Closes: 391016).

 -- Pierre Habouzit <madcoder@debian.org>  Wed,  4 Oct 2006 12:06:34 +0200

apt-listchanges (2.67) unstable; urgency=low

  * Fix confirm behaviour, broken in 2.65 upload (Closes: 390784).

 -- Pierre Habouzit <madcoder@debian.org>  Tue,  3 Oct 2006 10:01:27 +0200

apt-listchanges (2.66) unstable; urgency=low

  * Remove cruft in postinst for versions older than sarge ones.
  * Remove /var/lib/apt/listchanges.db at purge (Closes: 319603).
  * Use 8bit encoding for the mails, so that they are greppable again
    (Closes: 211714)
  * If we are hit by a signal, abort with exit 10, making the upgrade fail.
    (Closes: 338717, 301604)

 -- Pierre Habouzit <madcoder@debian.org>  Mon,  2 Oct 2006 23:09:47 +0200

apt-listchanges (2.65) unstable; urgency=low

  * Change confirm semantics: negative value means confirmation cannot be run.
    Assume we don't want to save our state in that case, and proceed as usual
    (Closes: 311919, 355399).

  * Use more clever regexps (even sub regexps!) to recognize Closes: 316531
    correctly (the recursion is a courtesy of Christoph Berg).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 28 Sep 2006 14:21:41 +0200

apt-listchanges (2.64) unstable; urgency=low

  * Be less strict on rfc822-like parse, accept continuation lines starting
    with \t (Closes: 388861).

  * Italian translations thanks to Luca Monducci (Closes: 384805):
    + man page,
    + debconf template,
    + program translations.

  * French translations thanks to Christian Perrier
    (Closes: 386808, 386807, 387223).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 24 Sep 2006 16:15:59 +0200

apt-listchanges (2.63) unstable; urgency=low

  * When run in locale 'C', the code fails because getlocale()[1] is None.
    default to 'ascii' in that case, that is the sole sane choice, user has to
    set his locale if that does not suits him. (Closes: #384413, #384574).

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 26 Aug 2006 03:45:58 +0200

apt-listchanges (2.62) unstable; urgency=low

  * templates translations:
    + update gl.po thanks to Jacobo Tarrio.
    + update ca.po thanks to Jordi Mallach (Closes: #383980).
    + update pt.po thanks to Rui Pedro.
    + update nl.po thanks to Bart Cornelis.
    + update fr.po thanks to Denis Barbier.

  * More python simplifications.

  * Fix bug in html generation (generated html was obviously invalid).

  * Only Recommend a MTA as it's not needed using pager. (Closes: #384165)



## apt-listchanges 2.72ubuntu6.1

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995-1997, 2000, 2001 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = apt-listchanges
prefix = /usr
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po
srcdir = .

INSTALL = /usr/bin/install -c

MSGFMT = /usr/bin/msgfmt --statistics
#XGETTEXT = /usr/bin/pygettext
XGETTEXT = /usr/bin/xgettext
MSGMERGE = msgmerge

POFILES =  $(wildcard *.po)
MOFILES =  $(patsubst %.po,%.mo,$(POFILES))

SRCFILES = ../apt-listchanges.py $(wildcard ../apt-listchanges/*.py) ../apt-listchanges/apt-listchanges.glade

all: $(PACKAGE).pot $(MOFILES)

.SUFFIXES: .po .mo

.po.mo:
	$(MSGFMT) -o $@ $<

$(PACKAGE).pot: $(SRCFILES)
	if test -f $(XGETTEXT); then \
	    $(XGETTEXT) --default-domain=$(PACKAGE) --keyword=_ $(SRCFILES); \
	else \
	    touch $@; \
	fi

install: all
	for file in $(MOFILES); do \
	    lang=`echo $$file | sed 's/\.mo//'`; \
	    install -d $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/; \
	    install -m 0644 $$file $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
        done

clean:
	rm -f core core.* *.pox $(PACKAGE).po *.new.po
	rm -fr *.o *.mo

distclean: clean
	rm -f $(PACKAGE).pot

update-po: Makefile
	$(MAKE) $(PACKAGE).pot
	if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; fi; \
        cd $(srcdir); \
        catalogs='$(MOFILES)'; \
        for cat in $$catalogs; do \
            cat=`basename $$cat`; \
            lang=`echo $$cat | sed 's/\.mo$$//'`; \
            echo "$$lang:"; \
            if $(MSGMERGE) $$lang.po $(PACKAGE).pot -o $$lang.new.po; then \
                mv -f $$lang.new.po $$lang.po; \
            else \
                echo "msgmerge for $$cat failed!"; \
                rm -f $$lang.new.po; \
            fi; \
        done

=== debian/changelog ===
apt-listchanges (2.72ubuntu6.1) feisty-security; urgency=low

  * SECURITY UPDATE: Avoid using a potentially unsafe import path.
  * apt-listchanges.py: upstream (2.82) fixes patched inline.
  * References
    CVE-2008-0302

 -- Kees Cook <kees@ubuntu.com>  Thu, 17 Jan 2008 08:50:20 -0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: apt-listchanges
 Section: utils
 Priority: optional
-Maintainer: Matt Zimmerman <mdz@debian.org>
-Standards-Version: 3.2.1
-Build-Depends: debhelper (>= 4.1.16)
-Build-Depends-Indep: docbook-to-man, gettext, python (>= 2.1), po-debconf, libexpat1-dev
+Maintainer: Michael Vogt <mvo@ubuntu.com>
+XSBC-Original-Maintainer: Pierre Habouzit <madcoder@debian.org>
+Uploaders: Matt Zimmerman <mdz@debian.org>
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 5)
+Build-Depends-Indep: docbook-to-man, gettext, python-dev, po-debconf, python-support (>= 0.4.0), libexpat1-dev
 
 Package: apt-listchanges
 Architecture: all
-Depends: python (>= 2.3), apt (>= 0.5.3), python-apt, debconf, ucf (>= 0.28), debianutils (>= 2.0.2)
-Recommends: python-glade2, python-gtk2
+Depends: ${python:Depends}, apt (>= 0.5.3), python-apt, debconf | debconf-2.0,
+ ucf (>= 0.28), debianutils (>= 2.0.2)
+Recommends: exim4 | mail-transport-agent, python-glade2, python-gtk2
 Suggests: x-terminal-emulator, www-browser
 Description: Display change history from .deb archives
  apt-listchanges is a tool to show what has been changed in a new

## apt-listchanges 2.72.5

=== debian/changelog ===
apt-listchanges (2.72.5) unstable; urgency=low

  * Fix a typo in the preinst: .pyo -> .pyc, thanks to Marc Brockschmidt.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 18 Feb 2007 23:39:32 +0100

apt-listchanges (2.72.4) unstable; urgency=low

  * Big l10n upload, thanks to many contributors, especially Christian
    Perrier, Frans Pop and Jens Seidel. (Closes: 411340, 410544).
  * preinst: rm -f ... || true is useless.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 18 Feb 2007 21:18:02 +0100

apt-listchanges (2.72.2) unstable; urgency=low

  * Remove useless pt_PT.po (Closes: 408880).
  * Update nl.po thans to Frans Pop (Closes: 410544).
  * Remove old .pyo/.pyc from quite older packages (Closes: 397107).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 13 Feb 2007 10:43:11 +0100

apt-listchanges (2.72.1) unstable; urgency=low

  * Add Czech debconf messages thanks to Miroslav Kure (Closes: 407827).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 21 Jan 2007 21:09:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: apt-listchanges
 Section: utils
 Priority: optional
-Maintainer: Michael Vogt <mvo@ubuntu.com>
-XSBC-Original-Maintainer: Pierre Habouzit <madcoder@debian.org>
+Maintainer: Pierre Habouzit <madcoder@debian.org>
 Uploaders: Matt Zimmerman <mdz@debian.org>
 Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 5)
-Build-Depends-Indep: docbook-to-man, gettext, python-dev, po-debconf, python-support (>= 0.4.0), libexpat1-dev
+Build-Depends-Indep: docbook-to-man, gettext, python-dev, po-debconf,
+ python-support (>= 0.4.0)
 
 Package: apt-listchanges
 Architecture: all
 Depends: ${python:Depends}, apt (>= 0.5.3), python-apt, debconf | debconf-2.0,
  ucf (>= 0.28), debianutils (>= 2.0.2)
-Recommends: exim4 | mail-transport-agent, python-glade2, python-gtk2
+Recommends: exim4 | mail-transport-agent
 Suggests: x-terminal-emulator, www-browser
 Description: Display change history from .deb archives
  apt-listchanges is a tool to show what has been changed in a new

## apt-listchanges 2.72.5etch2

=== debian/changelog ===
apt-listchanges (2.72.5etch2) stable-security; urgency=high

  * Non-maintainer upload by The Security Team.
  * Fixed regression introduced in previous upload.

 -- Steve Kemp <skx@debian.org>  Tue, 17 Jan 2008 16:04:08 +0000

apt-listchanges (2.72.5etch1) stable-security; urgency=high

  * Non-maintainer upload by The Security Team.
  * Avoid using a potentially unsafe import path.
    [CVE-2008-0302]

 -- Steve Kemp <skx@debian.org>  Tue, 15 Jan 2008 20:20:20 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=5

version=$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p')

build: build-stamp
build-stamp:
	dh_testdir
	perl -pi.orig -e 's/##VERSION##/$(version)/g' apt_listchanges.py
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	rm -f *.py[co] *~
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) install DESTDIR=$(shell pwd)/debian/apt-listchanges

# Build architecture-dependent files here.
binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs TODO
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_pysupport
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## apt-listchanges 2.74ubuntu3

=== debian/changelog ===
apt-listchanges (2.74ubuntu3) gutsy; urgency=low

  * apt-listchanges.py: remove save_seen database on failure while
    opening or querying (LP: #139143)

 -- dAniel hAhler <ubuntu@thequod.de>  Thu, 27 Sep 2007 23:41:31 +0200

apt-listchanges (2.74ubuntu2) gutsy; urgency=low

  * Teach HTML output about Launchpad bug-closing syntax per
    https://wiki.ubuntu.com/ClosingBugsFromChangelog (relaxed slightly to
    try to catch people talking about bugs as well as closing them). Tweak
    Debian bug-closing syntax to try to prevent both triggering on the same
    text.
  * Warn and continue gracefully if setlocale fails (LP: #91583).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Jul 2007 04:11:49 +0100

apt-listchanges (2.74ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - added gtk frontend
    - set maintainer to ubuntu

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Jun 2007 15:32:19 +0200

apt-listchanges (2.74) unstable; urgency=low

  * binNMUs were not shown because we tracked source packages versions, and
    not binary package ones (Closes: 423371).
  * Document apt-listchanges internals (Closes: 411075).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 18 Jun 2007 15:22:43 +0100

apt-listchanges (2.73.3ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - added gtk frontend
    - set maintainer to ubuntu
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 May 2007 11:34:15 +0200

apt-listchanges (2.73.3) unstable; urgency=low

  * It seems that even if present, /dev/tty cannot always be opened, fall back
    to a brute force try/except block (Closes: 311919).

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 11 May 2007 23:12:05 +0200

apt-listchanges (2.73.2) unstable; urgency=low

  * Only open /dev/tty if present (Closes: 311919), properly this time.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 19 Apr 2007 23:42:19 +0200

apt-listchanges (2.73.1) unstable; urgency=low

  * Only open /dev/tty if present (Closes: 311919).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 19 Apr 2007 12:07:47 +0200

apt-listchanges (2.73) unstable; urgency=low

  * Fix a problem in how configuration file is handled with ucf, thanks to
    Franck Küster (Closes: 393470, 393886, 412925).

  * Fix a problem with applications running in a terminal, thanks to Justin
    Pryzby (Closes: 343423).

  * Fix buggy man pages wrongly stating that --which=both was default whereas
    it's --which=news (Closes: 417931):
     + [es] update thanks to Martin Ferrari.
     + [it] update thanks to Francesco Pedrini.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 11 Apr 2007 01:34:18 +0200

## apt-listchanges 2.74ubuntu3.1

=== debian/changelog ===
apt-listchanges (2.74ubuntu3.1) gutsy-security; urgency=low

  * SECURITY UPDATE: Avoid using a potentially unsafe import path.
  * apt-listchanges.py: upstream (2.82) fixes patched inline.
  * References
    CVE-2008-0302

 -- Kees Cook <kees@ubuntu.com>  Thu, 17 Jan 2008 08:50:20 -0800
